#include <hmg.ch>
#include "hfcl_combosearchgrid.ch"

Function Main

aItems := randomdatafill()

   define window csg at 0, 0 width 800 height 600 main title 'ComboSearchGrid - Sample'
      define label namelabel
         row 10
         col 10
         width 60
         value 'Name'         
      end label
      define combosearchgrid name
         row 10
         col 80
         width 600
         items aItems
         headers { 'First Name', 'Last Name', 'Code' }
         widths { 300, 170, 100 }
         justify { 0, 0, 1 }
         anywheresearch .t.
         showheaders .t.
      end combosearchgrid
      define label label2
         row 40
         col 10
         width 60
         value 'Label 2'
      end label
      define textbox textbox2
         row 40
         col 80
         width 200
      end textbox
      define button selected
         row 70
         col 10
         caption 'Click after selecting an item'
         width 200
         action findselecteditem()
      end button
   end window
   csg.center
   csg.activate
return nil   
          

Return

function findselecteditem
   local aData := {}
   local i := 0
   local cMsg := ''
   aData := _HMG_CSG_ItemSelected( 'csg', 'name' )
   if len( aData ) > 0
      cMsg := '{'
      for i := 1 to len( aData )
         cMsg := cMsg + aData[ i ] 
         if i < len( aData )
            cMsg := cMsg + ', ' 
         endif
      next i
      cMsg := cMsg + '}'
      msginfo( 'You have selected the item - ' + cMsg )
   endif
   return nil

function randomdatafill
   local aItems := {}
   local i := 0
   local c := ''
   local d := ''
   for i := 1 to 10000
      c := ''
      for j := 1 to 10
         c := c + chr( int( random( 26 ) ) + 65 )
      next j
      d := ''
      for j := 1 to 5
         d := d + chr( int( random( 26 ) ) + 65 )
      next j
      aadd( aItems, { c, d, alltrim( str( i ) ) } )
   next i
   return aItems
   
  